grk::BufPool Class Reference

`#include <StripCache.h>`

## Public Member Functions

| ~BufPool (void)
GrkIOBuf | get (size_t len)
void | put (GrkIOBuf b)

## Private Attributes

std::map< uint8_t *, GrkIOBuf > | pool

## Constructor & Destructor Documentation

## ~BufPool()

grk::BufPool::~BufPool | ( | void |  | ) |

inline

References grk::grk_read(), and pool.

## Member Function Documentation

## get()

GrkIOBuf grk::BufPool::get | ( | size_t | len | ) |

inline

References grk::GrkIOBuf::alloc(), grk::grk_read(), _grk_io_buf::len_, and pool.

Referenced by grk::Strip::allocInterleaved(), and grk::Strip::allocInterleavedLocked().

## put()

void grk::BufPool::put | ( | GrkIOBuf | b | ) |

inline

References grk::grk_read(), and pool.

## Member Data Documentation

## pool

std::map<uint8_t*, GrkIOBuf> grk::BufPool::pool

private

Referenced by get(), put(), and ~BufPool().

The documentation for this class was generated from the following file:

- StripCache.h